#
# spec file for package qrq
# Please submit bug reports / bug fixes to http://bugs.opensuse.org
#

Name:           qrq
Version:        0.3.3
Release:        lp155.1.1
License:        GPL-2.0
Summary:        CW trainer
Url:            http://fkurz.net/ham/qrq.html
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.gz
BuildRequires:  dos2unix
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libpulse-devel
BuildRequires:  make
BuildRequires:  ncurses-devel

%description
qrq is a Morse telegraphy trainer. It is not intended for learning telegraphy,
but to improve the ability to copy callsigns at high speeds, as needed for
example for Contesting.

%prep
%setup -q
dos2unix ChangeLog COPYING README AUTHORS

%build
CFLAGS="$RPM_OPT_FLAGS -std=gnu99" CXXFLAGS="$RPM_OPT_FLAGS" \
make 

%install
make DESTDIR=$RPM_BUILD_ROOT/usr/ install

%files -n %{name}
%{_bindir}/*
%dir %{_datadir}/qrq
%{_datadir}/qrq/*
%{_mandir}/man1/*
%doc ChangeLog README AUTHORS
%license COPYING

%changelog
* Sat Nov 16 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 0.3.3
- patch makefile.diff removed (applied upstream)
- old source removed
- specfile cleanup
* Wed Jan  9 2013 dl8fcl@darc.de
- update to version 0.3.1
* Sat Oct  4 2008 dl9pf@gmx.de
- Fixed for Factory
* Wed Jun 25 2008 dl9pf@gmx.de
- bump to 0.1.4
